/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freemule.gui;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;

import freemule.gui.SearchResultTableModel.ResultFile;

/**
 * Creates a dialog that lists the filenames and respectives counts in a dialog.
 * 
 * @author <a href="mailto:droden@gmail.com">David Roden</a>
 * @version $Id: SearchResultFilenameDialog.java,v 1.1 2005/12/05 00:21:03 bombe
 *          Exp $
 */
public class SearchResultFilenameDialog extends OkayCancelDialog {

	/**
	 * Creates a new dialog that shows the used filenames for
	 * <code>download</code>.
	 * 
	 * @param parent
	 *            The parent window
	 * @param download
	 *            The download of the filenames
	 * @param filenames
	 *            The filenames to list
	 */
	public SearchResultFilenameDialog(JFrame parent, ResultFile download, String[] filenames) {
		super(parent, "Filenames for " + download.getName(), OkayCancelDialog.OKAY_BUTTON);
		SearchResultFilenameTableModel tableModel = new SearchResultFilenameTableModel(filenames);
		TableSorter tableSorter = new TableSorter(tableModel);
		JTable table = new JTable(tableSorter);
		tableSorter.setTableHeader(table.getTableHeader());
		add(new JScrollPane(table));
		pack();
	}

}
