/*
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package freemule.util;

/**
 * @author <a href="mailto:droden@gmail.com">David Roden</a>
 * @version $Id: NumberFormatter.java 130 2006-02-18 18:27:11Z bombe $
 */
public class NumberFormatter {

	private static final String[] units = { "Bytes", "KiB", "MiB", "GiB", "TiB", "PiB" };

	public static String format(long number) {
		double dotted = number * 10;
		int unit = 0;
		while (String.valueOf((int) dotted).length() > 4) {
			dotted = (int) (dotted / 1024);
			unit++;
		}
		dotted = dotted / 10.0;
		return String.valueOf(dotted) + " " + units[unit];
	}

}
